import { SvelteComponentTyped } from "svelte";
import type { QueryClient } from '@tanstack/svelte-query';
import type { DevtoolsButtonPosition, DevtoolsErrorType, DevtoolsPosition } from '@tanstack/query-devtools';
declare const __propDef: {
    props: {
        initialIsOpen?: boolean | undefined;
        buttonPosition?: DevtoolsButtonPosition | undefined;
        position?: DevtoolsPosition | undefined;
        client?: QueryClient | undefined;
        errorTypes?: DevtoolsErrorType[] | undefined;
        styleNonce?: string | undefined;
        shadowDOMTarget?: ShadowRoot | undefined;
    };
    events: {
        [evt: string]: CustomEvent<any>;
    };
    slots: {};
};
export type DevtoolsProps = typeof __propDef.props;
export type DevtoolsEvents = typeof __propDef.events;
export type DevtoolsSlots = typeof __propDef.slots;
export default class Devtools extends SvelteComponentTyped<DevtoolsProps, DevtoolsEvents, DevtoolsSlots> {
}
export {};
